Subject: bug#33947: Failure building diffutils-3.7 (openSUSE:Factory)

From: Sean Lewis <[email-masked]>
Date: Tue, 1 Jan 2019 16:46:51 +0000

Good morning,

Today I attempted to package the new diffutils 3.7 and received build 
failures (test.log output is below for your reference). This is for 
openSUSE and I'm building using our Tumbleweed rolling release model 
which has (nearly) current components for all pieces of the environment. 
Any guidance you can provide is appreciated, thank you and happy new year.

Sean

[  132s] =============================================
[  132s]    GNU diffutils 3.7: tests/test-suite.log
[  132s] =============================================
[  132s]
[  132s] # TOTAL: 22
[  132s] # PASS:  19
[  132s] # SKIP:  1
[  132s] # XFAIL: 1
[  132s] # FAIL:  1
[  132s] # XPASS: 0
[  132s] # ERROR: 0
[  132s]
[  132s] .. contents:: :depth: 2
[  132s]
[  132s] XFAIL: large-subopt
[  132s] ===================
[  132s]
[  132s] ++ initial_cwd_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests
[  132s] +++ testdir_prefix_
[  132s] +++ printf gt
[  132s] ++ pfx_=gt
[  132s] +++ mktempd_ /home/abuild/rpmbuild/BUILD/diffutils-3.7/tests 
gt-large-subopt.XXXX
[  132s] +++ case $# in
[  132s] +++ destdir_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests
[  132s] +++ template_=gt-large-subopt.XXXX
[  132s] +++ MAX_TRIES_=4
[  132s] +++ case $destdir_ in
[  132s] +++ destdir_slash_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/
[  132s] +++ case $template_ in
[  132s] ++++ unset TMPDIR
[  132s] +++ 
d=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-large-subopt.9M0V
[  132s] +++ case $d in
[  132s] +++ :
[  132s] +++ test -d 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-large-subopt.9M0V
[  132s] ++++ ls -dgo 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-large-subopt.9M0V
[  132s] +++ perms='drwx------ 1 0 Jan  1 16:17 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-large-subopt.9M0V'
[  132s] +++ case $perms in
[  132s] +++ :
[  132s] +++ echo 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-large-subopt.9M0V
[  132s] +++ return
[  132s] ++ 
test_dir_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-large-subopt.9M0V
[  132s] ++ cd 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-large-subopt.9M0V
[  132s] ++ gl_init_sh_nl_='
[  132s] '
[  132s] ++ IFS='
[  132s] '
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 1 + 128
[  132s] ++ eval 'trap '\''Exit 129'\'' 1'
[  132s] +++ trap 'Exit 129' 1
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 2 + 128
[  132s] ++ eval 'trap '\''Exit 130'\'' 2'
[  132s] +++ trap 'Exit 130' 2
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 3 + 128
[  132s] ++ eval 'trap '\''Exit 131'\'' 3'
[  132s] +++ trap 'Exit 131' 3
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 13 + 128
[  132s] ++ eval 'trap '\''Exit 141'\'' 13'
[  132s] +++ trap 'Exit 141' 13
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 15 + 128
[  132s] ++ eval 'trap '\''Exit 143'\'' 15'
[  132s] +++ trap 'Exit 143' 15
[  132s] ++ trap remove_tmp_ 0
[  132s] + path_prepend_ ../src
[  132s] + test 1 '!=' 0
[  132s] + path_dir_=../src
[  132s] + case $path_dir_ in
[  132s] + 
abs_path_dir_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/../src
[  132s] + case $abs_path_dir_ in
[  132s] + 
PATH=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/../src:/home/abuild/rpmbuild/BUILD/diffutils-3.7/src:/usr/local/bin:/usr/bin:/bin:/usr/lib/mit/bin:/usr/lib/mit/sbin:/sbin:/usr/sbin
[  132s] + create_exe_shims_ 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/../src
[  132s] + case $EXEEXT in
[  132s] + return 0
[  132s] + shift
[  132s] + test 0 '!=' 0
[  132s] + export PATH
[  132s] + fail=0
[  132s] + diff -u 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/large-subopt.in1 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/large-subopt.in2
[  132s] + perl -n0 -e '/\n-2\n(\+L: 361\n){2}\+2\n/ and do {$e=1; 
last}; END{exit !$e}'
[  132s] + fail=1
[  132s] + Exit 1
[  132s] + set +e
[  132s] + exit 1
[  132s] + exit 1
[  132s] + remove_tmp_
[  132s] + __st=1
[  132s] + cleanup_
[  132s] + :
[  132s] + test '' = yes
[  132s] + cd /home/abuild/rpmbuild/BUILD/diffutils-3.7/tests
[  132s] + chmod -R u+rwx 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-large-subopt.9M0V
[  132s] + rm -rf 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-large-subopt.9M0V
[  132s] + exit 1
[  132s] XFAIL large-subopt (exit status: 1)
[  132s]
[  132s] SKIP: strip-trailing-cr
[  132s] =======================
[  132s]
[  132s] ++ initial_cwd_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests
[  132s] +++ testdir_prefix_
[  132s] +++ printf gt
[  132s] ++ pfx_=gt
[  132s] +++ mktempd_ /home/abuild/rpmbuild/BUILD/diffutils-3.7/tests 
gt-strip-trailing-cr.XXXX
[  132s] +++ case $# in
[  132s] +++ destdir_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests
[  132s] +++ template_=gt-strip-trailing-cr.XXXX
[  132s] +++ MAX_TRIES_=4
[  132s] +++ case $destdir_ in
[  132s] +++ destdir_slash_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/
[  132s] +++ case $template_ in
[  132s] ++++ unset TMPDIR
[  132s] +++ 
d=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-strip-trailing-cr.pX8s
[  132s] +++ case $d in
[  132s] +++ :
[  132s] +++ test -d 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-strip-trailing-cr.pX8s
[  132s] ++++ ls -dgo 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-strip-trailing-cr.pX8s
[  132s] +++ perms='drwx------ 1 0 Jan  1 16:17 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-strip-trailing-cr.pX8s'
[  132s] +++ case $perms in
[  132s] +++ :
[  132s] +++ echo 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-strip-trailing-cr.pX8s
[  132s] +++ return
[  132s] ++ 
test_dir_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-strip-trailing-cr.pX8s
[  132s] ++ cd 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-strip-trailing-cr.pX8s
[  132s] ++ gl_init_sh_nl_='
[  132s] '
[  132s] ++ IFS='
[  132s] '
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 1 + 128
[  132s] ++ eval 'trap '\''Exit 129'\'' 1'
[  132s] +++ trap 'Exit 129' 1
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 2 + 128
[  132s] ++ eval 'trap '\''Exit 130'\'' 2'
[  132s] +++ trap 'Exit 130' 2
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 3 + 128
[  132s] ++ eval 'trap '\''Exit 131'\'' 3'
[  132s] +++ trap 'Exit 131' 3
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 13 + 128
[  132s] ++ eval 'trap '\''Exit 141'\'' 13'
[  132s] +++ trap 'Exit 141' 13
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 15 + 128
[  132s] ++ eval 'trap '\''Exit 143'\'' 15'
[  132s] +++ trap 'Exit 143' 15
[  132s] ++ trap remove_tmp_ 0
[  132s] + path_prepend_ ../src
[  132s] + test 1 '!=' 0
[  132s] + path_dir_=../src
[  132s] + case $path_dir_ in
[  132s] + 
abs_path_dir_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/../src
[  132s] + case $abs_path_dir_ in
[  132s] + 
PATH=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/../src:/home/abuild/rpmbuild/BUILD/diffutils-3.7/src:/usr/local/bin:/usr/bin:/bin:/usr/lib/mit/bin:/usr/lib/mit/sbin:/sbin:/usr/sbin
[  132s] + create_exe_shims_ 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/../src
[  132s] + case $EXEEXT in
[  132s] + return 0
[  132s] + shift
[  132s] + test 0 '!=' 0
[  132s] + export PATH
[  132s] + fail=0
[  132s] + require_valgrind_
[  132s] + valgrind --error-exitcode=1 true
[  132s] + skip_ 'requires a working valgrind'
[  132s] + warn_ 'strip-trailing-cr: skipped test: requires a working 
valgrind'
[  132s] + case $IFS in
[  132s] + printf '%s\n' 'strip-trailing-cr: skipped test: requires a 
working valgrind'
[  132s] strip-trailing-cr: skipped test: requires a working valgrind
[  132s] + test 9 = 2
[  132s] + sed 1q
[  132s] + printf '%s\n' 'strip-trailing-cr: skipped test: requires a 
working valgrind'
[  132s] + Exit 77
[  132s] + set +e
[  132s] + exit 77
[  132s] + exit 77
[  132s] + remove_tmp_
[  132s] + __st=77
[  132s] + cleanup_
[  132s] + :
[  132s] + test '' = yes
[  132s] + cd /home/abuild/rpmbuild/BUILD/diffutils-3.7/tests
[  132s] + chmod -R u+rwx 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-strip-trailing-cr.pX8s
[  132s] + rm -rf 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-strip-trailing-cr.pX8s
[  132s] + exit 77
[  132s] SKIP strip-trailing-cr (exit status: 77)
[  132s]
[  132s] FAIL: colors
[  132s] ============
[  132s]
[  132s] ++ initial_cwd_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests
[  132s] +++ testdir_prefix_
[  132s] +++ printf gt
[  132s] ++ pfx_=gt
[  132s] +++ mktempd_ /home/abuild/rpmbuild/BUILD/diffutils-3.7/tests 
gt-colors.XXXX
[  132s] +++ case $# in
[  132s] +++ destdir_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests
[  132s] +++ template_=gt-colors.XXXX
[  132s] +++ MAX_TRIES_=4
[  132s] +++ case $destdir_ in
[  132s] +++ destdir_slash_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/
[  132s] +++ case $template_ in
[  132s] ++++ unset TMPDIR
[  132s] +++ 
d=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-colors.uhNk
[  132s] +++ case $d in
[  132s] +++ :
[  132s] +++ test -d 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-colors.uhNk
[  132s] ++++ ls -dgo 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-colors.uhNk
[  132s] +++ perms='drwx------ 1 0 Jan  1 16:17 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-colors.uhNk'
[  132s] +++ case $perms in
[  132s] +++ :
[  132s] +++ echo 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-colors.uhNk
[  132s] +++ return
[  132s] ++ 
test_dir_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-colors.uhNk
[  132s] ++ cd 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-colors.uhNk
[  132s] ++ gl_init_sh_nl_='
[  132s] '
[  132s] ++ IFS='
[  132s] '
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 1 + 128
[  132s] ++ eval 'trap '\''Exit 129'\'' 1'
[  132s] +++ trap 'Exit 129' 1
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 2 + 128
[  132s] ++ eval 'trap '\''Exit 130'\'' 2'
[  132s] +++ trap 'Exit 130' 2
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 3 + 128
[  132s] ++ eval 'trap '\''Exit 131'\'' 3'
[  132s] +++ trap 'Exit 131' 3
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 13 + 128
[  132s] ++ eval 'trap '\''Exit 141'\'' 13'
[  132s] +++ trap 'Exit 141' 13
[  132s] ++ for sig_ in 1 2 3 13 15
[  132s] +++ expr 15 + 128
[  132s] ++ eval 'trap '\''Exit 143'\'' 15'
[  132s] +++ trap 'Exit 143' 15
[  132s] ++ trap remove_tmp_ 0
[  132s] + path_prepend_ ../src
[  132s] + test 1 '!=' 0
[  132s] + path_dir_=../src
[  132s] + case $path_dir_ in
[  132s] + 
abs_path_dir_=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/../src
[  132s] + case $abs_path_dir_ in
[  132s] + 
PATH=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/../src:/home/abuild/rpmbuild/BUILD/diffutils-3.7/src:/usr/local/bin:/usr/bin:/bin:/usr/lib/mit/bin:/usr/lib/mit/sbin:/sbin:/usr/sbin
[  132s] + create_exe_shims_ 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/../src
[  132s] + case $EXEEXT in
[  132s] + return 0
[  132s] + shift
[  132s] + test 0 '!=' 0
[  132s] + export PATH
[  132s] + TZ=UTC0
[  132s] + export TZ
[  132s] + fail=0
[  132s] + echo a
[  132s] + echo b
[  132s] ++ diff -u a b
[  132s] ++ grep -F .
[  132s] ++ echo .000000000
[  132s] + nanosecond_zeros=.000000000
[  132s] + epoch='1970-01-01 00:00:00'
[  132s] + touch -t 197001010000.00 a b
[  132s] ++ printf '\033'
[  132s] + e=$'\E'
[  132s] ++ printf '\t'
[  132s] + tab='        '
[  132s] + rs=0
[  132s] + hd=1
[  132s] + ad=32
[  132s] + de=31
[  132s] + ln=36
[  132s] + returns_ 1 diff --color=auto a b
[  132s] + gen_exp_default
[  132s] + printf %s '1c1
[  132s] < a
[  132s] ---
[  132s] > b
[  132s] '
[  132s] + compare exp out
[  132s] + compare_dev_null_ exp out
[  132s] + test 2 = 2
[  132s] + test xexp = x/dev/null
[  132s] + test xout = x/dev/null
[  132s] + return 2
[  132s] + case $? in
[  132s] + compare_ exp out
[  132s] + diff -u exp out
[  132s] + returns_ 1 env 
PATH=/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/../src:/home/abuild/rpmbuild/BUILD/diffutils-3.7/src:/usr/local/bin:/usr/bin:/bin:/usr/lib/mit/bin:/usr/lib/mit/sbin:/sbin:/usr/sbin 
TERM=dumb diff ---presume-output-tty --color=auto a b
[  132s] + gen_exp_default
[  132s] + printf %s '1c1
[  132s] < a
[  132s] ---
[  132s] > b
[  132s] '
[  132s] + compare exp out
[  132s] + compare_dev_null_ exp out
[  132s] + test 2 = 2
[  132s] + test xexp = x/dev/null
[  132s] + test xout = x/dev/null
[  132s] + return 2
[  132s] + case $? in
[  132s] + compare_ exp out
[  132s] + diff -u exp out
[  132s] + returns_ 1 diff --color=never a b
[  132s] + gen_exp_default
[  132s] + printf %s '1c1
[  132s] < a
[  132s] ---
[  132s] > b
[  132s] '
[  132s] + compare exp out
[  132s] + compare_dev_null_ exp out
[  132s] + test 2 = 2
[  132s] + test xexp = x/dev/null
[  132s] + test xout = x/dev/null
[  132s] + return 2
[  132s] + case $? in
[  132s] + compare_ exp out
[  132s] + diff -u exp out
[  132s] + returns_ 1 diff a b
[  132s] + gen_exp_default
[  132s] + printf %s '1c1
[  132s] < a
[  132s] ---
[  132s] > b
[  132s] '
[  132s] + compare exp out
[  132s] + compare_dev_null_ exp out
[  132s] + test 2 = 2
[  132s] + test xexp = x/dev/null
[  132s] + test xout = x/dev/null
[  132s] + return 2
[  132s] + case $? in
[  132s] + compare_ exp out
[  132s] + diff -u exp out
[  132s] + returns_ 1 diff --color=always a b
[  132s] + gen_exp_default_colors
[  132s] ++ printf ''
[  132s] + local 'rs='
[  132s] ++ printf ''
[  132s] + local 'hd='
[  132s] ++ printf ''
[  132s] + local 'ad='
[  132s] ++ printf ''
[  132s] + local 'de='
[  132s] ++ printf ''
[  132s] + local 'ln='
[  132s] + printf %s '1c1
[  132s] < a
[  132s] ---
[  132s] > b
[  132s] '
[  132s] + compare exp out
[  132s] + compare_dev_null_ exp out
[  132s] + test 2 = 2
[  132s] + test xexp = x/dev/null
[  132s] + test xout = x/dev/null
[  132s] + return 2
[  132s] + case $? in
[  132s] + compare_ exp out
[  132s] + diff -u exp out
[  132s] + returns_ 1 diff -u --color=always a b
[  132s] + gen_exp_u
[  132s] + local 'epoch_plus=1970-01-01 00:00:00.000000000 +0000'
[  132s] ++ printf ''
[  132s] + local 'rs='
[  132s] ++ printf ''
[  132s] + local 'hd='
[  132s] ++ printf ''
[  132s] + local 'ad='
[  132s] ++ printf ''
[  132s] + local 'de='
[  132s] ++ printf ''
[  132s] + local 'ln='
[  132s] + printf %s '--- a     1970-01-01 00:00:00.000000000 +0000
[  132s] +++ b  1970-01-01 00:00:00.000000000 +0000
[  132s] @@ -1 +1 @@
[  132s] -a
[  132s] +b
[  132s] '
[  132s] + compare exp out
[  132s] + compare_dev_null_ exp out
[  132s] + test 2 = 2
[  132s] + test xexp = x/dev/null
[  132s] + test xout = x/dev/null
[  132s] + return 2
[  132s] + case $? in
[  132s] + compare_ exp out
[  132s] + diff -u exp out
[  132s] + returns_ 1 diff -c --color=always a b
[  132s] + gen_exp_c
[  132s] + local 'epoch_posix_1003_1_2001=Thu Jan  1 00:00:00 1970'
[  132s] ++ printf ''
[  132s] + local 'rs='
[  132s] ++ printf ''
[  132s] + local 'hd='
[  132s] ++ printf ''
[  132s] + local 'ad='
[  132s] ++ printf ''
[  132s] + local 'de='
[  132s] ++ printf ''
[  132s] + local 'ln='
[  132s] + printf %s '*** a     Thu Jan  1 00:00:00 1970
[  132s] --- b  Thu Jan  1 00:00:00 1970
[  132s] ***************
[  132s] *** 1 ****
[  132s] ! a
[  132s] --- 1 ----
[  132s] ! b
[  132s] '
[  132s] + compare exp out
[  132s] + compare_dev_null_ exp out
[  132s] + test 2 = 2
[  132s] + test xexp = x/dev/null
[  132s] + test xout = x/dev/null
[  132s] + return 2
[  132s] + case $? in
[  132s] + compare_ exp out
[  132s] + diff -u exp out
[  132s] + rs=0
[  132s] + hd=33
[  132s] + ad=34
[  132s] + de=35
[  132s] + ln=36
[  132s] + returns_ 1 diff -u --color=always 
--palette=rs=0:hd=33:ad=34:de=35:ln=36 a b
[  132s] + gen_exp_u
[  132s] + local 'epoch_plus=1970-01-01 00:00:00.000000000 +0000'
[  132s] ++ printf ''
[  132s] + local 'rs='
[  132s] ++ printf ''
[  132s] + local 'hd='
[  132s] ++ printf ''
[  132s] + local 'ad='
[  132s] ++ printf ''
[  132s] + local 'de='
[  132s] ++ printf ''
[  132s] + local 'ln='
[  132s] + printf %s '--- a     1970-01-01 00:00:00.000000000 +0000
[  132s] +++ b  1970-01-01 00:00:00.000000000 +0000
[  132s] @@ -1 +1 @@
[  132s] -a
[  132s] +b
[  132s] '
[  132s] + compare exp out
[  132s] + compare_dev_null_ exp out
[  132s] + test 2 = 2
[  132s] + test xexp = x/dev/null
[  132s] + test xout = x/dev/null
[  132s] + return 2
[  132s] + case $? in
[  132s] + compare_ exp out
[  132s] + diff -u exp out
[  132s] + mkfifo fifo
[  132s] + printf %1000000s-a
[  132s] + printf %1000000s-b
[  132s] + diff --color=always ---presume-output-tty a b
[  132s] + head -c 10
[  132s] diff: standard output: Broken pipe
[  132s] + test 2 = 141
[  132s] + fail=1
[  132s] + Exit 1
[  132s] + set +e
[  132s] + exit 1
[  132s] + exit 1
[  132s] + remove_tmp_
[  132s] + __st=1
[  132s] + cleanup_
[  132s] + :
[  132s] + test '' = yes
[  132s] + cd /home/abuild/rpmbuild/BUILD/diffutils-3.7/tests
[  132s] + chmod -R u+rwx 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-colors.uhNk
[  132s] + rm -rf 
/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests/gt-colors.uhNk
[  132s] + exit 1
[  132s] FAIL colors (exit status: 1)
[  132s]
[  132s] 
============================================================================
[  132s] Testsuite summary for GNU diffutils 3.7
[  132s] 
============================================================================
[  132s] # TOTAL: 22
[  132s] # PASS:  19
[  132s] # SKIP:  1
[  132s] # XFAIL: 1
[  132s] # FAIL:  1
[  132s] # XPASS: 0
[  132s] # ERROR: 0
[  132s] 
============================================================================
[  132s] See tests/test-suite.log
[  132s] Please report to [email-masked]
[  132s] 
============================================================================
[  132s] make[3]: *** [Makefile:1559: test-suite.log] Error 1
[  132s] make[3]: Leaving directory 
'/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests'
[  132s] make[2]: *** [Makefile:1667: check-TESTS] Error 2
[  132s] make[2]: Leaving directory 
'/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests'
[  132s] make[1]: *** [Makefile:1887: check-am] Error 2
[  132s] make[1]: Leaving directory 
'/home/abuild/rpmbuild/BUILD/diffutils-3.7/tests'
[  132s] make: *** [Makefile:1361: check-recursive] Error 1
[  132s] error: Bad exit status from /var/tmp/rpm-tmp.ADEuCw (%check)
[  132s]
[  132s]
[  132s] RPM build errors:
[  132s]     Bad exit status from /var/tmp/rpm-tmp.ADEuCw (%check)
[  132s]
[  132s] devestator failed "build diffutils.spec" at Tue Jan  1 16:17:33 
UTC 2019.
[  132s]